#include <ascii.h>
#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>
#include "libstr.h"
#include "noargvzero.h"

int main(int argc, char *argv[]){
	int retval;

	NOARGVZERO(argv);

	if(argv[1] == NULL){
		fprintf(stderr, "Usage: %s [exit code]\n", argv[0]);
		return EX_USAGE;
	}

	if(strint(argv[1], &retval, ASCII_DIGITS_DECIMAL_UPPER) == NULL){
		fprintf(stderr, "%s: %s: Not an integer\n", argv[0], argv[1]);
		return EX_USAGE;
	}

	return retval;
}
